petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESNEWTONTR

Newton based nonlinear solver that uses a trust region

### Options Database

| -snes_trtol <tol> | - trust region tolerance
| -snes_tr_mu <mu> | - trust region parameter
| -snes_tr_eta <eta> | - trust region parameter
| -snes_tr_sigma <sigma> | - trust region parameter
| -snes_tr_delta0 <delta0> | - initial size of the trust region is delta0*norm2(x)
| -snes_tr_delta1 <delta1> | - trust region parameter
| -snes_tr_delta2 <delta2> | - trust region parameter
| -snes_tr_delta3 <delta3> | - trust region parameter

The basic algorithm is taken from "The Minpack Project", by More', Sorensen, Garbow, Hillstrom, pages 88-111 of "Sources and Development of Mathematical Software", Wayne Cowell, editor.

### See Also

SNESCreate(), SNES, SNESSetType(), SNESNEWTONLS, SNESSetTrustRegionTolerance()

### Level

intermediate

### Location

src/snes/impls/tr/tr.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages